> For the complete documentation index, see [llms.txt](https://docs.shipbubble.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shipbubble.com/api-reference/addresses/validate-address-global.md).

# Validate address (global)

Verifies an address by checking whether we have a matching verified deliverable address.

{% hint style="warning" %}
For high-accuracy results, we suggest including the address, state, and country in the address string, e.g., Landmark Towers, Victoria Island, Lagos, Nigeria.

**If address latitude and longitude are provided in the request, it will be used to validate the address, disregarding the address string provided.**
{% endhint %}

<mark style="color:green;">`POST`</mark> `https://api.shipbubble.com/v1/shipping/address/validate`

#### Request Body

| Name                                      | Type   | Description                      |
| ----------------------------------------- | ------ | -------------------------------- |
| name<mark style="color:red;">\*</mark>    | String | name of address holder           |
| email<mark style="color:red;">\*</mark>   | String | email address of address holder  |
| phone<mark style="color:red;">\*</mark>   | String | phone number of address holder   |
| address<mark style="color:red;">\*</mark> | String | address name to be validated     |
| latitude                                  | Number | address latitude (if available)  |
| longitude                                 | Number | address longitude (if available) |

{% tabs %}
{% tab title="200: OK The address code is used to uniquely identify each verified address entry" %}

```javascript
{
    "status": "success",
    "message": "Validation successful",
    "data": {
        "name": "Lebron James",
        "email": "lebron@james.com",
        "phone": "+2348057575855",
        "formatted_address": "15 Babatunde Jose St, Victoria Island 106104, Lagos, Nigeria",
        "country": "Nigeria",
        "country_code": "NG",
        "city": "Lagos",
        "city_code": "Lagos",
        "state": "Lagos",
        "state_code": "LA",
        "postal_code": "106104",
        "latitude": 6.436058,
        "longitude": 3.433361,
        "address_code": 98794022
    }
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity " %}

```javascript
{
    "status": "failed",
    "message": "Invalid request parameters",
    "errors": [
        "Recipient full name is required",
        "Recipient valid email address is required",
        "Recipient phone number is required",
        "Recipient address is required"
    ]
}
```

{% endtab %}
{% endtabs %}
